@Capability(attribute="implementation.name=gogo.jline", namespace="org.apache.felix.gogo", name="shell.implementation", version="1.0.0") @Requirement(effective="active", namespace="org.apache.felix.gogo", name="command.implementation", version="1.0.0")

# Package org.apache.felix.gogo.jline

Interface Summary
Shell.Context
SingleServiceTracker.SingleServiceListener

Class Summary
Activator
BaseConverters
Builtin: gosh built-in commands.
Converters
Expander
Highlighter
Main
ParsedLineImpl
Parser
Posix: Posix-like utilities.
Posix.SortComparator
Procedural
Shell
SingleServiceTracker<T>

Exception Summary
Posix.HelpException
Procedural.BreakException
Procedural.ContinueException
Procedural.HelpException
Procedural.OptionException
Procedural.ThrownException